/*
	GeoPortErrors.h
		
	Copyright  Apple Computer, Inc.  1993-94.
*/

/* Result codes defined by GeoPort and RALF
 *
 * Second Open errors:
 *	kNoPodErr
 *	kWrongGeoPortErr
 *	kGeoPortInUseErr
 *	kGeoPortPodRevErr, kAlternateGeoPortErr,
 *	kPodSoftwareNotFoundErr, kSoftwareInstallErr, kCpuPodIncomatibleErr
 *   
 * Returned while GeoPort is being used:
 *   
 *	kNoPodErr, kPodHwErr, kGeoPortDisconnectErr 
 */
 
#ifndef __GEOPORTERRORS__
#define __GEOPORTERRORS__


enum {								// GeoPort result codes
	kNoPodErr = -7937,					// No GeoPort pod is connected
	kPodHwErr = -7938,					// Glitch occurred.
										// User can try the connection again.
	kWrongGeoPortErr = -7939,			// A GeoPort is present but it is of the wrong family type
	kGeoPortInUseErr = -7940,			// GeoPort is already in use
	kGeoPortDisconnectErr = -7941,		// returned if GeoPort is disconnected or fails
										// User needs to correct GeoPort fault.
	kGeoPortPodRevErr = -7942,			// Hardware rev of pod is not supported
	kAlternateGeoPortErr = -7943,		// Pod is different but same family ID
	kPodSoftwareNotFoundErr = -7944,	// Couldn't find pod handler software
	kSoftwareInstallErr = -7945,		// Software not installed properly
	kCpuPodIncompatibleErr = -7946,		// CPU and pod are incompatible
	kNoPortErr = -7947,					// No more ports or port specifier is invalid
	kNoMoreStreams = -7948,				// Can't allocate any more streams
	kNakReceived = -7949,				// Pod sent NAK to poll command
	kCmdTimeout = -7950,				// Command timed out
	kDriverAlreadyOpenErr = -7951,		// This operation is not allowed when the driver is already open
	kIopModeNotSupported = -7952,		// IOP Mode is not supported, use serial switch to change to compatibility mode
	kPortInUseByLocalTalk = -7953
	};


enum {								// GeoPort Serial Driver port status codes
	kGeoPortFree = -4003,
	kPortFree = -4004,
	kInUseByGeoPort = -4005,
	kInUseBySerial = -4006,
	kInUseByUnknown = -4007,
	kInUseByLocalTalk = -4008
	};


#endif