/*
	File:		CameraUtils.h
	
	Contains:	My Application Shell.

	Written by:	John Wang

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<1>		09/30/94	JW		New.

	To Do:
	
*/

#ifdef THINK_C
#define		applec
#endif

#define		kUnknownCamera	0
#define		kVenusCamera	1
#define		kNimbusCamera	2

/* ------------------------------------------------------------------------- */

//	Camera connection...
OSErr	OpenCameraDriver(CameraData *camData);
OSErr	CloseCameraDriver(CameraData camData);
OSErr	ConnectCamera(CameraData camData, CmPortInfoHandle *portInfoHandle, short *cameraType);
OSErr	DisconnectCamera(CameraData camData, CmPortInfoHandle	portInfoHandle);

//	Camera functions.
OSErr	GrabOnePicture(CameraData camData, short cameraType, short imageNumber, PicHandle *pict, Handle *thumbnail,
						ThumbnailHeader *thumbnailHeader, CmPictureInfo *pictureInfo);
OSErr	GrabOneImage(CameraData camData, short imageNumber, Handle *imageBuffer, Handle *thumbnailBuffer,
					CmPictureInfo *pictureInfo);
OSErr	GetCameraInfo(CameraData camData, CmCameraInfo *cameraInfo);
OSErr	GetCameraMatrix(CameraData camData, CmColorMatrixPtr cameraMatrix);
OSErr	GetCameraDecompTable(CameraData camData, BufferPtr decompTable);

//	Complete camera functions.
OSErr	GrabOnePictureComplete(short imageNumber, PicHandle *pict, Handle *thumbnail,
						ThumbnailHeader *thumbnailHeader, CmPictureInfo *pictureInfo);
OSErr	GrabOneImageComplete(short imageNumber, Handle *imageBuffer, Handle *thumbnailBuffer,
				CmPictureInfo *pictureInfo, short *cameraType);
OSErr	GetCameraInfoComplete(CmCameraInfo *cameraInfo);
OSErr	GetCameraMatrixComplete(CmColorMatrixPtr colorMatrix);
OSErr	GetCameraDecompTableComplete(BufferPtr decompTable);

//	Utilities.
void	GetPictureFrame(PicHandle pict, Boolean everyPixel, Rect *myRect);
