/*******************************************************************************
 * QTKSAMPL.H version 1.0
 * Copyright Apple Computer, Inc. 1993 -1995, All Rights Reserved.
 *******************************************************************************/

#include "qtake-i.h"
#include "qtake-d.h"

// MenuItems
#define IDM_OPEN	101

// Windows functions
int PASCAL WinMain(HANDLE, HANDLE, LPSTR, int);
BOOL InitApplication(HANDLE);
BOOL InitInstance(HANDLE, int);
long FAR PASCAL MainWndProc(HWND, UINT, WPARAM, LPARAM);


// QuickTake Structure
typedef struct {

	CmCameraInfo		cameraInfo;			// camera info record
	CameraData			cameraData;			// camera data ptr
	CmPortInfoHandle	portHandle;			// handle for modem port
	short				connectedPort;		// port connected to 

} QTKCameraInfo;

typedef QTKCameraInfo far *QTKCameraInfoPtr;


// QuickTake Functions

OSErr CameraInitialize(HANDLE);
OSErr CameraTerminate(void);
OSErr CameraError(LPSTR cmdString, OSErr err);
void CameraUnloadThumbnail(HANDLE hThumbnail);
HANDLE CameraLoadThumbnail(void);
void CameraPaintThumbnail(HDC hDC, HANDLE hThumbnail, int x, int y);
void CameraUnloadPicture(HANDLE hPicture);
HANDLE CameraLoadPicture(void);
void CameraPaintPicture(HDC hDC, HANDLE hPicture, int x, int y);
